{: test that a compilation error occurs when the types of
   case constant range don't agree with the case selector expression }

program e1021( output );

var
   e :  integer;

begin { e1021 }

   e := 42;
   case e of
     'a'..55: writeln(' !!! illegal char const');
   end; {case}
   writeln( 'case error not detected' );
end. { e1021 }

